Subject: Looking for a thesis

From: [email-masked] (Gordon Robertson)
Date: Sun, 25 Dec 1994 13:16:18

Does anyone from the Southeastern Missouri State University know where to 
find the Master thesis of D.F. Venable on " Subcellular localization of 
protease activity in Schizophyllum commune"?  Has this work been published?

Thanks in advance for your help.